### Method

# Adw ViewStackPageset_name

#### Declaration [src]

    void
    adw_view_stack_page_set_name (
      AdwViewStackPage* self,
      const char* name
    )

#### Description [src]

Sets the name of the page.

Sets property | `Adw.ViewStackPage:name`

#### Parameters

`name`

  Type: `const char*`

  The page name.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.